OSSIM GDAL Plugin Podofo dependency

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

OSSIM GDAL Plugin Podofo dependency

Schalcosky, Brian A CIV SPAWARSYSCEN-PACIFIC,
	56220
Hello,

I tried building the SVN trunk for the first time in a while and stumbled on
a dependency on Podofo while building the OSSIM GDAL plugin.

 I have the OSSIM GeoPDF plugin disabled in my CMake script, which I thought
would remove the dependency, but I still get an error when Visual Studio
tries to link podofo.lib when building the GDAL plugin.

Can someone tell me if Podofo really is required for the GDAL plugin and, if
it isn't, what the proper way of removing that dependency is?

Thanks,

Brian Schalcosky

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer

smime.p7s (7K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: OSSIM GDAL Plugin Podofo dependency

David Burken
Not by us.  Your gdal library itself may have a podofo dependency.

Dave

On 01/28/2015 04:01 PM, Brian Schalcosky wrote:
Hello,

I tried building the SVN trunk for the first time in a while and stumbled on
a dependency on Podofo while building the OSSIM GDAL plugin. 

 I have the OSSIM GeoPDF plugin disabled in my CMake script, which I thought
would remove the dependency, but I still get an error when Visual Studio
tries to link podofo.lib when building the GDAL plugin.

Can someone tell me if Podofo really is required for the GDAL plugin and, if
it isn't, what the proper way of removing that dependency is?

Thanks,

Brian Schalcosky


------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/


_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer


------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer
Reply | Threaded
Open this post in threaded view
|

Re: OSSIM GDAL Plugin Podofo dependency

Peter Borissow
PoDoFo was introduced a while ago to support GeoPDFs


From: David Burken <[hidden email]>
To: [hidden email]; [hidden email]
Sent: Thursday, January 29, 2015 8:31 AM
Subject: Re: [OSSIM] OSSIM GDAL Plugin Podofo dependency

Not by us.  Your gdal library itself may have a podofo dependency.

Dave

On 01/28/2015 04:01 PM, Brian Schalcosky wrote:
Hello,

I tried building the SVN trunk for the first time in a while and stumbled on
a dependency on Podofo while building the OSSIM GDAL plugin. 

 I have the OSSIM GeoPDF plugin disabled in my CMake script, which I thought
would remove the dependency, but I still get an error when Visual Studio
tries to link podofo.lib when building the GDAL plugin.

Can someone tell me if Podofo really is required for the GDAL plugin and, if
it isn't, what the proper way of removing that dependency is?

Thanks,

Brian Schalcosky


------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/


_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer


------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer



------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer